{...}: {
  imports = [
    ../../templates/proxmox-lxc.nix
    ../../server.nix
  ];

  networking.hostName = "exit-node";
  system.stateVersion = "24.05"; 
  nixpkgs.hostPlatform = "x86_64-linux";

  services.tailscale = {
    useRoutingFeatures = "server";
    extraUpFlags = [
      "--advertise-exit-node"
      "--advertise-routes 10.0.0.0/8"
    ];
  };
}
